# Entități de încredere

Pentru că două entități să poată comunica sigur utilizând sistemul de criptare
asimetrică, fiecare trebuie să cunoască cheia publică a celeilalte și să nu
existe riscul că un intrus să substituie o cheia publică cu propria să cheie
publică. Una dintre soluțiile utilizate la ora actuală pentru această problema
este certificarea cheilor de către organizații speciale numite autorități de
certificare (**Certification Authority - CA**).

O entitate care dorește un certificat trebuie să se adreseze unei CA,
autentificandu-se și furnizând cheia să publică; autoritatea de certificare poate
decide să acorde persoanei certificatul, care va conține identitatea și cheia
publică a solicitantului. Certificatul este semnat digital de către autoritatea
de certificare. Formatul utilizat de obicei pentru certificate este **X.509**.

Autoritățile de certificare sunt organizate ierarhic, existând o serie de CA-uri
"rădăcina" care sunt bine cunoscute, altă serie de CA-uri certificate de CA-urile
rădăcina s.a.m.d. În momentul în care este verificat certificatul unei entități
se verifică și autoritatea de certificare CA1 care l-a emis, și care are și ea un
certificat de la o altă autoritate CA2; apoi se verifică CA2 și așa mai departe
până se ajunge la o CA în care se poate avea iıncredere sau la o CA rădăcina
(astfel se formează un "lanț de încredere" sau o "cale de certificare"). CA-urile
rădăcina au certificate auto-semnate.

Informații despre baza lanțului de încredere sunt incluse în aplicații (mail
client, web browser etc.), sau în sistemul de operare, care servește aplicațiile
interesate.


