# Protocolul HTTP

Miliarde de imagini JPEG, pagini HTML, fișiere text, filme în format
MPEG, fișiere audio WAV, applet-uri Java și multe altele sunt accesate
pe internet în fiecare zi. **HTTP** este protocolul responsabil cu
mutarea acestora rapid, convenabil și fiabil de la serverele web din
întreaga lume la browserele web ale utilizatorilor. Deoarece **HTTP**,
este un protocol peste TCP, datele transmisie nu vor fi deteriorate sau
amestecate sau pierdute în timpul tranmisiei de date.

**HTTP** (HyperText Transfer Protocol) este un protocol de nivel 7 din
stiva OSI (aplicatie) folosit pentru transferul informatiilor in
internet. Este un protocol care opereaza peste date de tip ASCII.

La baza protocolului HTTP stau conceptele de **cerere** si **raspuns**.
In cazul comunicatiei HTTP, o entitate inainteaza o cerere si cealalta
trebuie, obligatoriu, sa ofere un raspuns.

![](images/http1.png)

Probabil că utilizați clienți HTTP în fiecare zi. Cel mai comun client
este un browser web (de ex. Google Chrome, Mozilla, Internet Explorer,
Safari, etc.). Browserele web sunt entitățiile care solicită artefacte
**HTTP** de la servere și le afișează pe ecran. **HTTP** functioneaza
implicit peste portul 80. Versiunea securizata de HTTP, HTTPS,
functioneaza implicit peste portul 443. Un server, insa, poate fi
configurat sa asculte cereri HTTP pe orice port disponibil.

