# Primitive criptografice

Pentru a adresa posibilele amenințări ce vizează comunicarea, vom avea nevoie de
protocoale de securitate, precum **TLS**, sau **SSH**.
Acestea au la bază niște **primitive criptografice**, care ajută la îndeplinirea
unor obiective concrete: confidențialitate, integritate, autenticitate etc.

Criptografia în sine este un subiect foarte stufos, și o introducere sumară în
criptografie ar alcătui materialul pentru un curs de un singur semestru.
Din motive de timp, noi vom parcurge foarte sumar niște concepte de bază,
concentrându-ne pe cum le putem folosi, ca utilizatori, pentru a dezvolta
protocoale rezistente la atacuri.
Pentru cei interesați de cum funcționează aceste lucruri, de teoria din spate,
de disciplina practică etc., vă recomandăm:

- Cursul "Cryptography I" predat de Dan
  Boneh în cadrul Universității din Stand, California, disponibil pe [Coursera](https://www.coursera.org/learn/crypto).
- Cartea "Applied Cryptography" a lui Bruce Schneier, disponibilă pe ["The Internet Archive"](https://archive.org/details/AppliedCryptographyBruceSchneier).
