# Adrese IP

În general, o adresă IP este de forma `10.20.30.40` și este reprezentată pe 32 de biți.

Cum avem foarte multe adrese IP, în general o să le structurăm în blocuri (**rețele**). O
rețea este identificată printr-un **prefix** și o **mască**. De exemplu,
rețeaua din București în exemplul nostru este `10.20.30.0/24`.

```
Network în București
Network: 10.20.30.0/24
Prefix:  10.20.30.0
Mask:    255.255.255.0 (24 = nr de biți de 1 de la stânga la dreapta)
```

Câte adrese IP sunt în rețeaua din București? Avem `255` de adrese IP disponibile,
`10.20.30.0 - 10.20.30.255`. Adresele din acest bloc pot fi asignate
dispozitivelor din București.

