# Laboratoare PCom

## Recomandări
Vă recomandăm să utilizați un IDE precum VS Code. Vom folosi Linux în cadrul
laboratoarelor. **Este recomandat ca înainte de orice laborator să parcurgeți
lectura indicată**. Laboratoarele și temele pot fi făcute în C sau C++.
Laboratoarele pot fi navigate folosind săgețile de pe tastatură → ←.

## Contribuții laborator
Oricine poate contribui pentru a îmbunătăți laboratoarele. Scheletul
laboratoarelor se găsește pe
[Gitlab](https://gitlab.cs.pub.ro/pcom/pcom-laboratoare-public). Textul
laboratoarelor îl găsiti în acest [repo](https://gitlab.cs.pub.ro/pcom/labs).
În partea de sus dreaptă a fiecărei pagini există un buton de edit pe care îl
puteți folosi pentru a sugera modificări.

## Mașina virtuală
O mașină virtuală echipată cu toate uneltele necesare pe parcursul semestrului este disponibilă în două variante, în funcție de arhitectura de procesor folosită:

- Pentru procesoare [Intel / AMD (x86_64)](https://ctipub-my.sharepoint.com/:u:/g/personal/mihai_dumitru2201_upb_ro/ETNaykK4iaJPgatE6_46N1ABa1UqgauDXbALmNfyhfWLig?e=lnIHAx);
- Pentru procesoare [ARM/Apple Silicon (ex. M1)](https://ctipub-my.sharepoint.com/:u:/g/personal/dorinel_filip_upb_ro/EaRM0N-iOuRNjiAkfw2WxQQBZ1ZaZbBe6x3lLsGB8njaEg?e=bvsB3h).

---
**Instrucțiuni pentru import-ul mașinii virtuale**
- Mașina virtuală pentru **Intel/AMD (x86_64)** vine preinstalată cu tool-uri de guest tools pentru __VirtualBox__ și pentru soluțiile de virtualizare ale __VMware__. 

> Instrucțiuni pentru import-ul ei în __VirtualBox__ puteți găsi [aici](https://ocw.cs.pub.ro/courses/so/info/mv).

- Mașina virtuală pentru **ARM/Apple Silicon** vine preinstalată cu tool-uri de guest tools pentru soluțiile de virtualizare ale __VMware__. 

Aceasta a fost testată pe computere Apple/MacOS, folosind VMware Fusion, dar ar trebui să funcționeze și pe alte platforme cu procesoare ARM, folosind VMware Workstation.

> Instrucțiuni pentru import-ul ei în __VMware Fusion__ puteți găsi [aici](tutorials/pcomvmarm.md).

---

**Mai multe informații despre mașina virtuală**

Imaginea de VM oferită este obținută folosind un proces automatizat (folosind Vagrant și Ansible).  

Puteți consulta codul sursă de [aici](https://gitlab.cs.pub.ro/pcom/pcom-vm) dacă doriți să aflați cum este generată sau care sunt particularitățile ei.

---